[packages/gitlab-ce] add gitlab-rake.sh

glen glen at pld-linux.org
Sun May 15 00:28:51 CEST 2016


commit 97728af534932985afcf160daa2c7d1541a9cdf7
Author: Elan Ruusamäe <glen at delfi.ee>
Date:   Sun May 15 01:28:26 2016 +0300

    add gitlab-rake.sh
    
    this would behave like gitlab-rake from omnibus install

 gitlab-rake.sh | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
---
diff --git a/gitlab-rake.sh b/gitlab-rake.sh
new file mode 100755
index 0000000..b898654
--- /dev/null
+++ b/gitlab-rake.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -e
+
+# Unset ENV variables that might interfere with
+# omnibus-gitlab ruby env (looking at you rvm)
+for ruby_env_var in RUBYOPT \
+                    BUNDLE_BIN_PATH \
+                    BUNDLE_GEMFILE \
+                    GEM_PATH \
+                    GEM_HOME
+do
+	unset $ruby_env_var
+done
+
+cd /var/lib/gitlab
+exec sudo -u gitlab bundle exec rake RAILS_ENV=production "$@"
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/gitlab-ce.git/commitdiff/97728af534932985afcf160daa2c7d1541a9cdf7



More information about the pld-cvs-commit mailing list